#include <stdio.h>
#include <string.h>
main()
{
char cenz[10];
char s[200000];
int  a[1000],i,j,k,count=0,n;
gets(s);
const int abc=strlen(s);
char rec[abc];
if (strlen(s)>200000||strlen(s)<1)
    return 0;
gets(cenz);
if (strlen(cenz)>10||strlen(cenz)<1)
    return 0;
strcpy(rec,s);
for(j=0;s[j];j++);
	k=n=j;
for(i=0;i<n;i++)
{
    a[i]=n;
    count=1;
    if(s[i])
    {
 	for(j=i+1;j<n;j++)
	{
	    if(s[i]==s[j])
    	{
            count++;
            s[j]='\0';
	    }
	}
	a[i]=count;
    if(count<=k)
	    k=count;

    }
}
for(j=0;j<n;j++)
{
	if(a[j]==k)
    {
        rec[j]='*';
	}
}
if(strstr(rec,cenz)==NULL)
{
    printf("%d\n",k);
    puts(rec);
}
else
    printf("greska\n");
}